#include "domain.h"

using namespace std;

Computer computer_create(string ID, string operatingSystem, double hourPrice,double computerPrice, int returnedCount,int rentedTimes) {
    Computer computer;
    computer.ID = ID;
    computer.operatingSystem = operatingSystem;
    computer.hourPrice = hourPrice;
    computer.computerPrice = computerPrice;
    computer.returnedCount = returnedCount;
    computer.rentedTimes = rentedTimes;
    computer.rentedByCustomer = Computer::NOT_RENTED;
    computer.moneyEarned = 0;
    return computer;
}

Customer customer_create(string name, string personalcode) {
    Customer customer;
    customer.name = name;
    customer.personalcode = personalcode;
    customer.moneyEarned = 0;
    return customer;
}

bool computers_isComputerNoValid(const Computers& computers, int computerNo) {
    return (computerNo > 0 && computerNo <= computers.size());
}

bool computers_isRented(const Computers& computers, int computerNo) {
    return computers_isComputerNoValid(computers, computerNo)
            && computers[computerNo - 1].rentedByCustomer != Computer::NOT_RENTED;
}
