#-------------------------------------------------------------#
#                                                             #
#   makefile                                                  #
#                                                             #
#-------------------------------------------------------------#

TARGET=computer-rent.exe

$(TARGET) : main.o domain.o db.o ui.o
	g++ -g -o $(TARGET) $^

main.o : main.cpp domain.h db.h ui.h
domain.o : domain.cpp domain.h
db.o : db.cpp db.h domain.h
ui.o : ui.cpp ui.h domain.h

#-------------------------------------------------------------

compile: $(TARGET)

run: compile
	./$(TARGET)

clean:
	rm -f *.o
	rm -f *.exe

build: clean compile

%.o: %.cpp
	g++ -c -g $<

#=============================================================#